<?php
require_once("../config/conexion.php");
require_once("../modelos/Centro.php");

$centro = new Centro();

switch ($_GET["op"]) {
    case "listar":
        $datos = $centro->get_centro();
        $data = [];
        foreach ($datos as $row) {
            $sub_array = [];
            $sub_array[] = $row["Ccod_centro"];
            $sub_array[] = $row["Sdesc_centro"];
            $sub_array[] = '<button type="button" onClick="editar(' . $row["Ccod_centroID"] . ');" id="' . $row["Ccod_centroID"] . '" class="btn btn-info btn-sm"><i class="fa fa-cogs"></i></button>';
            $data[] = $sub_array;
        }
        $results = [
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        ];
        echo json_encode($results);
        break;

    case "guardaryeditar":
        if (empty($_POST["Ccod_centroID"])) {
            $centro->insert_centro($_POST["Ccod_centro"], $_POST["Sdesc_centro"]);
        } else {
            $centro->update_centro($_POST["Ccod_centroID"], $_POST["Ccod_centro"], $_POST["Sdesc_centro"]);
        }
        break;

    case "mostrar":
        if (isset($_POST["Ccod_centroID"])) {
            $datos = $centro->get_centro_id($_POST["Ccod_centroID"]);
            if (is_array($datos) && count($datos) > 0) {
                $output["Ccod_centroID"] = $datos["Ccod_centroID"];
                $output["Ccod_centro"] = $datos["Ccod_centro"];
                $output["Sdesc_centro"] = $datos["Sdesc_centro"];
                echo json_encode($output);
            }
        }
        break;
}
?>
